## org.eclipse.amp.amf.sd.provider
Class SDEditPlugin

    java.lang.Object
      org.eclipse.emf.common.util.DelegatingResourceLocator
          org.eclipse.emf.common.EMFPlugin
              org.eclipse.amp.amf.sd.provider.SDEditPlugin

All Implemented Interfaces:
  org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator

    public final class SDEditPlugin

extends org.eclipse.emf.common.EMFPlugin

This is the central singleton for the SD edit plugin.

Nested Class Summary
`static class` `SDEditPlugin.Implementation` The actual implementation of the Eclipse Plugin.

Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin
`org.eclipse.emf.common.EMFPlugin.EclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalHelper`

Field Summary
`static SDEditPlugin` `INSTANCE` Keep track of the singleton.

Fields inherited from class org.eclipse.emf.common.EMFPlugin
`delegateResourceLocators, IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

Fields inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator
`baseURL, images, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

Constructor Summary
`SDEditPlugin()` Create the instance.

Method Summary
`static SDEditPlugin.Implementation` `getPlugin()` Returns the singleton instance of the Eclipse plugin.
`org.eclipse.emf.common.util.ResourceLocator` `getPluginResourceLocator()` Returns the singleton instance of the Eclipse plugin.

Methods inherited from class org.eclipse.emf.common.EMFPlugin
`getDelegateResourceLocators, getPluginLogger, getPrimaryResourceLocator, getSymbolicName, log, main`

Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator
`delegatedGetImage, delegatedGetString, doGetImage, doGetString, extensionFor, getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator
`getBaseURL, getImage, getString, getString, getString, getString`

Field Detail

### INSTANCE

    public static final SDEditPlugin INSTANCE

  Keep track of the singleton.

Constructor Detail

### SDEditPlugin

    public SDEditPlugin()

  Create the instance.

Method Detail

### getPluginResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getPluginResourceLocator()

  Returns the singleton instance of the Eclipse plugin.

  Specified by:
    `getPluginResourceLocator` in class `org.eclipse.emf.common.EMFPlugin`
  Returns:
    the singleton instance.

### getPlugin

    public static SDEditPlugin.Implementation getPlugin()

  Returns the singleton instance of the Eclipse plugin.

  Returns:
    the singleton instance.